package cn.bunny.pattern15.state;

import lombok.Setter;

@Setter
abstract class LiftState {
    protected Lift lift;

    /**
     * 开门动作
     */
    public abstract void open();

    /**
     * 关门动作
     */
    public abstract void close();

    /**
     * 运行动作
     */
    public abstract void run();

    /**
     * 停止动作
     */
    public abstract void stop();
}